function p4remove-usershelves
{param([Parameter(Mandatory = $true)]$user)
	$shelves = p4get-shelveduserfiles -user $user
	foreach ($shelf in $shelves)
	{
		p4get ("shelve -c " + $shelf.change + " -df")
	}
}

function p4remove-clientshelves
{param([Parameter(Mandatory = $true)]$client)
	$shelves = p4get-shelvedclientfiles -client $client
	foreach ($shelf in $shelves)
	{
		p4get ("shelve -c " + $shelf.change + " -df")
	}
}

function p4get-shelveduserfiles
{param([Parameter(Mandatory = $true)]$user)
	$shelves = p4get "changes -u $user -s shelved"
	if ($shelves)
	{
		foreach ($shelf in $shelves)
		{
			$shelf.time = convertUnixTime $shelf.time
		}
		$shelves
	}
}

function p4get-shelvedclientfiles
{param([Parameter(Mandatory = $true)]$client)
	$shelves = p4get "changes -c $client -s shelved"
	if ($shelves)
	{
		foreach ($shelf in $shelves)
		{
			$shelf.time = convertUnixTime $shelf.time
		}
		$shelves
	}
}